# -*- coding: utf-8 -*
__all__ = [
    'data_point',
    'dynamic_methods',
    'DynamicIAMethod',
    'DynamicLCA',
    'TemporalDistribution',
    'Timeline',
    'create_climate_methods',
    'time_dependent_LCA',
    'MultiDynamicLCA'
]

__version__ = (1, 0)


from bw2data import config

from .multi_dlca import MultiDynamicLCA
from .dynamic_ia_methods import dynamic_methods, DynamicIAMethod
from .dynamic_lca import DynamicLCA
from .temporal_distribution import TemporalDistribution
from .timeline import Timeline, data_point
from .dyn_methods.timedependent_lca import time_dependent_LCA
from .dyn_methods.method_creation import create_climate_methods


config.metadata.append(dynamic_methods)
